From 509c4ea3201b6ab5d9350d3b6cb059b06bdc8c19 Mon Sep 17 00:00:00 2001
From: Mike Walters <mike@flomp.net>
Date: Fri, 14 Apr 2017 20:35:17 +0100
Subject: [PATCH 05/10] Rename samplesPerLine -> samplesPerColumn

---
 plotview.cpp | 6 +++---
 plotview.h   | 2 +-
 2 files changed, 4 insertions(+), 4 deletions(-)

diff --git a/plotview.cpp b/plotview.cpp
index ae265b4..85b0e3d 100644
--- a/plotview.cpp
+++ b/plotview.cpp
@@ -495,7 +495,7 @@ void PlotView::resizeEvent(QResizeEvent * event)
     updateView();
 }
 
-off_t PlotView::samplesPerLine()
+off_t PlotView::samplesPerColumn()
 {
     return fftSize / zoomLevel;
 }
@@ -560,10 +560,10 @@ void PlotView::enableScales(bool enabled)
 
 int PlotView::sampleToColumn(off_t sample)
 {
-    return sample / samplesPerLine();
+    return sample / samplesPerColumn();
 }
 
 off_t PlotView::columnToSample(int col)
 {
-    return col * samplesPerLine();
+    return col * samplesPerColumn();
 }
diff --git a/plotview.h b/plotview.h
index 74b9acf..7ff969f 100644
--- a/plotview.h
+++ b/plotview.h
@@ -85,7 +85,7 @@ private:
     void exportSamples(std::shared_ptr<AbstractSampleSource> src);
     template<typename SOURCETYPE> void exportSamples(std::shared_ptr<AbstractSampleSource> src);
     int plotsHeight();
-    off_t samplesPerLine();
+    off_t samplesPerColumn();
     void updateViewRange(bool reCenter);
     void updateView(bool reCenter = false);
     void paintTimeScale(QPainter &painter, QRect &rect, range_t<off_t> sampleRange);
-- 
2.11.0

